Skip to content

Search

Request

The Search API returns offers for flights between specific origin and destination (O&D) pairs. You can set the Search request to return offers for the full itinerary (a journey-based search), or for only the first leg (a leg-based search) and follow it with a Next Leg Search. Any modifiers or indicators sent in the Search request carry over to the Next Leg Search request and are not re-sent.

Security
bearerAuth
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
@typestringrequired

Discriminator class CatalogProductOfferingsQueryRequest only

Example:"CatalogProductOfferingsQueryRequest"
CatalogProductOfferingsRequestobject(CatalogProductOfferingsRequestAir)required
curl -i -X POST \
  https://developer.travelport.com/_mock/apis/flights/air/catalog/search/catalogproductofferings \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "CatalogProductOfferingsQueryRequest",
    "CatalogProductOfferingsRequest": {
      "@type": "CatalogProductOfferingsRequestAir",
      "maxNumberOfUpsellsToReturn": 1,
      "offersPerPage": 15,
      "contentSourceList": [
        "GDS"
      ],
      "PassengerCriteria": [
        {
          "@type": "PassengerCriteria",
          "number": 1,
          "age": 25,
          "passengerTypeCode": "ADT"
        }
      ],
      "SearchCriteriaFlight": [
        {
          "@type": "SearchCriteriaFlight",
          "departureDate": "2026-11-20",
          "From": {
            "value": "DEN"
          },
          "To": {
            "value": "ORD"
          }
        },
        {
          "@type": "SearchCriteriaFlight",
          "departureDate": "2026-12-27",
          "From": {
            "value": "ORD"
          },
          "To": {
            "value": "DEN"
          }
        }
      ],
      "SearchModifiersAir": {
        "@type": "SearchModifiersAir",
        "CarrierPreference": [
          {
            "@type": "CarrierPreference",
            "preferenceType": "Preferred",
            "carriers": [
              "UA"
            ]
          }
        ]
      }
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
CatalogProductOfferingsResponseobject(CatalogProductOfferingsResponse)

Top level object for Search response. Includes CatalogProductOfferings, Result, and ReferenceList.

Response
{ "CatalogProductOfferingsResponse": { "CatalogProductOfferings": { "@type": "CatalogProductOfferings", "id": "cpo_1", "Identifier": {}, "CatalogProductOffering": [], "UpsellOffering": [] }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }